Ms Powershell to O365


#1

Using PowerShell 6.0.0Beat8-31 I can’t get connected to O365. Its listed as closed in the powershell Git repository so maybe its an issue with the AUR or dependency issue?

Unhandled Exception: System.NullReferenceException: Object reference not set to an instance of an object.
   at System.Management.Automation.Remoting.PrioritySendDataCollection.Clear() in /tmp/pamac-build-USER/powershell-git/src/powershell/src/System.Management.Automation/engine/remoting/fanin/PriorityCollection.cs:line 158
   at System.Management.Automation.Remoting.Client.BaseClientTransportManager.CloseAsync() in /tmp/pamac-build-USER/powershell-git/src/powershell/src/System.Management.Automation/engine/remoting/fanin/BaseTransportManager.cs:line 949
   at System.Management.Automation.Remoting.Client.WSManClientSessionTransportManager.CloseAsync() in /tmp/pamac-build-USER/powershell-git/src/powershell/src/System.Management.Automation/engine/remoting/fanin/WSManTransportManager.cs:line 1219
   at System.Management.Automation.Remoting.Client.BaseClientTransportManager.Finalize() in /tmp/pamac-build-USER/powershell-git/src/powershell/src/System.Management.Automation/engine/remoting/fanin/BaseTransportManager.cs:line 998
Aborted (core dumped)

#2

Not sure which version this is.

powershell=6.0.0.beta.8-1
powershell-bin=6.0.0.beta.8-1
powershell-git=6.0.0.beta8.r**-1 (.r** is generated from latest git commit)

When was the last time you built the package, and which package are you using?


#3

I have powershell-git package installed.

$psversiontable

Name Value


PSVersion 6.0.0-beta.8
PSEdition Core
GitCommitId v6.0.0-beta.8-31-gf7bab36f5d3129458df12e8a372f3699fe8abe63
OS Linux 4.13.5-1-MANJARO #1 SMP PREEMPT Thu Oct 5 15:24:20 UTC 2017
Platform Unix
PSCompatibleVersions {1.0, 2.0, 3.0, 4.0…}
PSRemotingProtocolVersion 2.3
SerializationVersion 1.1.0.1
WSManStackVersion 3.0

I will rebuild it now and try again, its probably been a few weeks or so


#4

$psversiontable

Name Value


PSVersion 6.0.0-beta.8
PSEdition Core
GitCommitId v6.0.0-beta.8-83-g1f75e81e4cbed052bb23ce60dc1ef8cd72d4ad8a
OS Linux 4.13.5-1-MANJARO #1 SMP PREEMPT Thu Oct 5 15:24:20 UTC 2017
Platform Unix
PSCompatibleVersions {1.0, 2.0, 3.0, 4.0…}
PSRemotingProtocolVersion 2.3
SerializationVersion 1.1.0.1
WSManStackVersion 3.0

New-PSSession : This parameter set requires WSMan, and no supported WSMan client library was found. WSMan is either not
installed or unavailable for this system.
At line:1 char:12

  • $Session = New-PSSession -ConfigurationName Microsoft.Exchange -Conne …
  •        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    • CategoryInfo : ResourceUnavailable: (:slight_smile: [New-PSSession], PSRemotingTransportException
    • FullyQualifiedErrorId : System.Management.Automation.Remoting.PSRemotingDataStructureException,Microsoft.PowerShell.Comman
      ds.NewPSSessionCommand

#5

I think this is the actual issue: https://github.com/PowerShell/PowerShell/issues/4592
It appears that the dependency https://github.com/PowerShell/psl-omi-provider isn’t available for arch. I tried to run debtab on the available deb package but it doesn’t seem to work so I tried to follow the build directions but it fails during make. Has anyone been able to compile this for arch?


#6

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.